# -*- coding:UTF-8 -*-
#!/usr/bin/python

def divide(x, y):
   try:
      print('{} / {}'.format(x, y))
      result = x / y
      print('test')
   except ZeroDivisionError:
      print("不能除以零！")
   else:
      print("相除結果是:", result)
   finally:
      print("不論如何都會執行finally")

divide(2, 1)
print("======")
divide(2, 0)
print("======")
divide(3, 2)

input('Press enter to continue......')
